## brasero-status

brasero-status

## Functions

BraseroStatus * | brasero_status_new ()
BraseroBurnResult | brasero_status_get_result ()
gdouble | brasero_status_get_progress ()
GError * | brasero_status_get_error ()
gchar * | brasero_status_get_current_action ()
void | brasero_status_set_completed ()
void | brasero_status_set_not_ready ()
void | brasero_status_set_error ()

## Types and Values

struct | BraseroStatus
enum | BraseroStatusType

## Description

## Functions

### brasero_status_new ()

    BraseroStatus *
    brasero_status_new (void);

Creates a new BraseroStatus object.

#### Returns

a BraseroStatus.

### brasero_status_get_result ()

    BraseroBurnResult
    brasero_status_get_result (BraseroStatus *status);

After an object (see `brasero_burn_track_get_status()`) has been requested its status, this function returns that status.

#### Parameters

status | a BraseroStatus. |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if the object is ready. BRASERO_BURN_NOT_READY if some time should be given to the object before it is ready. BRASERO_BURN_ERR if there is an error.

### brasero_status_get_progress ()

    gdouble
    brasero_status_get_progress (BraseroStatus *status);

If `brasero_status_get_result()` returned BRASERO_BURN_NOT_READY, this function returns the progress regarding the operation completion.

#### Parameters

status | a BraseroStatus. |

#### Returns

a gdouble

### brasero_status_get_error ()

    GError *
    brasero_status_get_error (BraseroStatus *status);

If `brasero_status_get_result()` returned BRASERO_BURN_ERR, this function returns the error.

#### Parameters

status | a BraseroStatus. |

#### Returns

a GError

### brasero_status_get_current_action ()

    gchar *
    brasero_status_get_current_action (BraseroStatus *status);

If `brasero_status_get_result()` returned BRASERO_BURN_NOT_READY, this function returns a string describing the operation currently performed. Free the string when it is not needed anymore.

#### Parameters

status | a BraseroStatus. |

#### Returns

a gchar.

### brasero_status_set_completed ()

    void
    brasero_status_set_completed (BraseroStatus *status);

Sets the status for a request to BRASERO_BURN_OK.

#### Parameters

status | a BraseroStatus. |

### brasero_status_set_not_ready ()

    void
    brasero_status_set_not_ready (BraseroStatus *status,
                                  gdouble progress,
                                  const gchar *current_action);

Sets the status for a request to BRASERO_BURN_NOT_READY. Allows to set a string describing the operation currently performed as well as the progress regarding the operation completion.

#### Parameters

status | a BraseroStatus. |
progress | a gdouble or -1.0. |
current_action | a gchar or NULL. |

### brasero_status_set_error ()

    void
    brasero_status_set_error (BraseroStatus *status,
                              GError *error);

Sets the status for a request to BRASERO_BURN_ERR.

#### Parameters

status | a BraseroStatus. |
error | a GError or NULL. |

## Types and Values

### struct BraseroStatus

    struct BraseroStatus {
    	GObject parent_instance;
    };

### enum BraseroStatusType

#### Members

BRASERO_STATUS_OK |  |
BRASERO_STATUS_ERROR |  |
BRASERO_STATUS_QUESTION |  |
BRASERO_STATUS_INFORMATION |  |